Index: channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.111
diff -u -r1.111 chan_h323.c
--- channels/chan_h323.c	2 May 2005 18:46:36 -0000	1.111
+++ channels/chan_h323.c	3 May 2005 03:36:51 -0000
@@ -1321,7 +1321,6 @@
 	struct oh323_pvt *pvt;
 	struct sockaddr_in us;
 	struct rtp_info *info;
-	char iabuf[INET_ADDRSTRLEN];
 
 	info = (struct rtp_info *)malloc(sizeof(struct rtp_info));
 	if (!info) {
@@ -1330,6 +1329,7 @@
 	}
 	pvt = find_call(call_reference, token); 
 	if (!pvt) {
+		free(info);
 		ast_log(LOG_ERROR, "Unable to find call %s(%d)\n", token, call_reference);
 		return NULL;
 	}
@@ -1338,7 +1338,7 @@
 	ast_rtp_get_us(pvt->rtp, &us);
 	ast_mutex_unlock(&pvt->lock);
 	/* evil hack, until I (or someone?) figures out a better way */
-	info->addr = ast_inet_ntoa(iabuf, sizeof(iabuf), bindaddr.sin_addr);
+	ast_inet_ntoa(info->addr, sizeof(info->addr), bindaddr.sin_addr);
 	info->port = ntohs(us.sin_port);
 	ast_log(LOG_DEBUG, "Sending RTP 'US' %s:%d\n", info->addr, info->port);
 	return info;
Index: channels/h323/chan_h323.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/h323/chan_h323.h,v
retrieving revision 1.39
diff -u -r1.39 chan_h323.h
--- channels/h323/chan_h323.h	2 May 2005 18:46:01 -0000	1.39
+++ channels/h323/chan_h323.h	3 May 2005 03:36:51 -0000
@@ -106,7 +106,7 @@
 } call_details_t;
 
 typedef struct rtp_info {
-	const char *addr;
+	char addr[32];
 	unsigned int port;
 } rtp_info_t;
 
